html, body {
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
}

::-webkit-scrollbar {width: 0.5rem;}
::-webkit-scrollbar-track {background-color: rgba(0, 0, 0, 0);}
::-webkit-scrollbar-thumb {background-color: rgb(var(--light));border-radius: 0.25rem;}
::-webkit-scrollbar-thumb:hover,
::-webkit-scrollbar-thumb:active {background-color: rgb(var(--light-3));}

.logo-large {
    width: clamp(10vw, 15rem, 40vw);
    user-select: none;
    pointer-events: none;
    -webkit-user-drag: none;
}

#login-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--gap);
    opacity: 1;
    transition: opacity 200ms ease;
}
#login-message {
    color: rgb(var(--burgundy));
    opacity: 1;
    transition: opacity 200ms ease;
}
#login-message.success {
    color: rgb(var(--green));
}
#login-message.hidden {
    opacity: 0;
}

#login-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
    width: min(calc(100% - 2 * var(--gap)), 30rem);
    padding: var(--half-gap);
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgb(var(--dark-3));
    border-radius: 1.5rem;
    max-height: 70vh;
    gap: var(--half-gap);
    opacity: 1;
    transition: 250ms ease;
    transition-property: opacity, transform;
}
#login-modal.hidden {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0);
}
#modal-text {
    background-color: rgb(var(--dark));
    border-radius: 0.5rem;
    font-size: 0.9rem;
    padding: var(--half-gap);
    height: 100%;
    overflow-y: auto;
}
#modal-text h1 {font-size: 1.1em; margin-top: 1.1em;}
#modal-text p {margin-top: 0.75em;}
#modal-text h1:first-child, #modal-text p:first-child {margin-top: 0px;}
#modal-buttons {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}
#modal-buttons button {
    padding: 0.25em 0.75rem;
    cursor: pointer;
    border-radius: 2rem;
    transition: 150ms ease;
    transition-property: color, background-color;
}
#decline-terms {
    background-color: transparent;
    color: rgb(var(--burgundy));
    font-weight: lighter;
}
#accept-terms {
    background-color: rgb(var(--green));
}
#decline-terms:focus, #decline-terms:hover {
    color: rgb(var(--burgundy-2));
}
#decline-terms:active {
    color: rgb(var(--burgundy-3));
}
#accept-terms:focus, #accept-terms:hover {
    background-color: rgb(var(--green-2));
}
#accept-terms:active {
    background-color: rgb(var(--green-3));
}


@media (max-width: 768px) {    
    main {
        gap: var(--gap);
    }
}